## morfologik20-data 0.2.0

=== Makefile ===

prefix=/usr

version=0.2.0

all: morfologik.bin


morfologik_shm: libmorfologik.so libmorfologik.h morfologik_shm.c
	gcc -o morfologik_shm morfologik_shm.c -lmorfologik -L./ -I./
    
morfologik.bin: semi/base.dat genv
	./genv

polimorfologik.txt:
	/bin/bash ./get_morfologik.sh

semi/base.dat: polimorfologik.txt extras.txt removed.txt vulgaria.txt impspot.txt podzial
	./podzial

impspot.txt:
	bash make_impspot.sh

podzial: podzial.c
	gcc -o podzial podzial.c `pkg-config --cflags --libs glib-2.0`

genv: genv.c
	gcc -o genv genv.c

clean:
	rm -f podzial genv morfologik.bin morfologik_shm impspot.txt polimorfologik.txt
	if [ -d semi ] ; then rm -r semi/ ; fi

distclean:
	make clean

dist:
	make distclean
	rm -rf ~/tmp/morfologik20-data-$(version)
	mkdir -p ~/tmp/morfologik20-data-$(version)
	cp -R * ~/tmp/morfologik20-data-$(version)
	rm -rf ~/tmp/morfologik20-data-$(version)/debian
	a=$(shell pwd)/../morfologik20-data_$(version).orig.tar.gz;cd ~/tmp; \
                tar -czf $$a morfologik20-data-$(version); \
                rm -rf morfologik20-data-$(version)/debian;

	
install: morfologik.bin
	install -d -m 755 $(DESTDIR)$(prefix)/share/morfologik
	install -m 644 morfologik.bin $(DESTDIR)$(prefix)/share/morfologik/
	
uninstall:
	rm -f $(prefix)/share/morfologik/morfologik.bin
	if [ -d $(prefix)/share/morfologik ] ; then rmdir --ignore-fail-on-non-empty $(prefix)/share/morfologik;fi

=== debian/changelog ===
morfologik20-data (0.2.0) precise; urgency=low

  * New library version

 -- Bohdan R. Rau <ethanak@polip.com>  Tue, 25 Mar 2014 11:09:19 +0100

morfologik20-data (0.1.1) precise; urgency=low

  * Morfologik bug workaround (rsqu used instead apostrophe)

 -- Bohdan R. Rau <ethanak@polip.com>  Sun, 05 Jan 2014 10:52:45 +0100

morfologik20-data (0.1.0) precise; urgency=low

  * Initial release

 -- Bohdan R. Rau <ethanak@polip.com>  Sat, 04 Jan 2014 08:22:58 +0100

=== debian/control ===
Source: morfologik20-data
Section: libs
Priority: extra
Maintainer: ethanak <ethanak@polip.com>
Build-Depends: debhelper (>= 7.0.50~), unzip, pkg-config, libglib2.0-dev
Standards-Version: 3.9.1
Homepage: http://milena.polip.com

Package: morfologik20-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Morfologik 2.0 binary data
 Morfologik 2.0 binary data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	mkdir -p `pwd`/debian/morfologik20-data/usr/share/morfologik/
	install -m 644 morfologik.bin `pwd`/debian/morfologik20-data/usr/share/morfologik/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
